package com.jsliders.puble;

//import com.testi.R;
//import com.testi.TableRestaurant;

import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.widget.TextView;

public class InfoActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.info);
        
        TableRestaurant tr = new TableRestaurant(this);
        TableOffers offers = new TableOffers(this);
        
        Bundle b = this.getIntent().getExtras();
        
        TextView tvName = (TextView)findViewById(R.id.Name);
        TextView tvAddress = (TextView)findViewById(R.id.Address);
        TextView tvPhone = (TextView)findViewById(R.id.Phone);
        TextView tvEmail = (TextView)findViewById(R.id.Email);
        TextView tvMaxCustomers = (TextView)findViewById(R.id.MaxCustomers);
        TextView tvOpen = (TextView)findViewById(R.id.Open);
        
        int id = b.getInt("RID");
        
        Cursor cursor = tr.queryAll(tr.KEY_ROWID+"="+id, null, null, null, null);
        
        if(cursor.getCount() > 0){
	        tvName.setText(cursor.getString(1));
	        tvAddress.setText(cursor.getString(2) + ", " + cursor.getString(3) + ", " + cursor.getString(4));
	        tvPhone.setText(cursor.getString(5));
	        tvEmail.setText(cursor.getString(6));
	        tvMaxCustomers.setText(cursor.getString(7));
	        tvOpen.setText(cursor.getString(8));
        
        }
        
        Cursor offcursor = offers.queryAll(offers.KEY_RID+"="+id, null, null, null, null);
        
        if (offcursor.getCount() > 0 ) {
        	TextView tvSpecialOffers = (TextView)findViewById(R.id.SpecialOffers);
        	
        	do {
        		String start = offcursor.getString(offcursor.getColumnIndex(offers.KEY_STARTTIME));
        		String end = offcursor.getString(offcursor.getColumnIndex(offers.KEY_ENDTIME));
        		String desc = offcursor.getString(offcursor.getColumnIndex(offers.KEY_DESCRIPTION));
        		
        		
        		if (tvSpecialOffers.getText() != "false"){
        			tvSpecialOffers.setText(tvSpecialOffers.getText() + start + " TO " + end + ":\t" + desc + "\n");
        		} else {
        			tvSpecialOffers.setText(start + " TO " + end + ":\t" + desc + "\n");
        		}
        	} while (offcursor.moveToNext());
        }
    }
}