package com.jsliders.puble;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageButton;

public class Main extends Activity {
	OnClickListener ImageButtonMapListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			Intent intent = new Intent(getApplicationContext(),Maps.class);
		    startActivity(intent);
		}
	};
	OnClickListener ImageButtonClickerListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			Intent intent = new Intent(getApplicationContext(),RestaurantList.class);
			intent.putExtra("Clicker", true);
			startActivity(intent);
		}
	};
	OnClickListener ImageButtonQueryListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			Intent intent = new Intent(getApplicationContext(),Search.class);
			intent.putExtra("MODE", 1);
			startActivity(intent);
		}
	};
	OnClickListener ImageButtonOffersListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			Intent intent = new Intent(getApplicationContext(),Search.class);
			intent.putExtra("MODE", 2);
			startActivity(intent);
		}
	};
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	    setContentView(R.layout.main);
	    
	    ImageButton imgButtonMap = (ImageButton)findViewById(R.id.ImageButtonMap);
	    imgButtonMap.setOnClickListener(ImageButtonMapListener);
	    
	    ImageButton imgButtonClicker = (ImageButton)findViewById(R.id.ImageButtonClicker);
	    imgButtonClicker.setOnClickListener(ImageButtonClickerListener);
	    
	    ImageButton imgButtonQuery = (ImageButton)findViewById(R.id.ImageButtonQuery);
	    imgButtonQuery.setOnClickListener(ImageButtonQueryListener);
	    
	    ImageButton imgButtonOffers = (ImageButton)findViewById(R.id.ImageButtonOffers);
	    imgButtonOffers.setOnClickListener(ImageButtonOffersListener);
	}
}
