package com.jsliders.puble;


import android.app.ListActivity;
import android.database.Cursor;
import android.os.Bundle;
import android.widget.SimpleCursorAdapter;

public class ProgrammeActivity extends ListActivity {
	
	TableProgramme tp;
	
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.menu);
        
        tp = new TableProgramme(this);
        fillData();
    }
    
    private void fillData() {
    	
    	Bundle b = this.getIntent().getExtras();
    	int id = b.getInt("RID");
    	
        // Get all of the notes from the database and create the item list
        Cursor c = tp.queryAll("Rid="+id, null, null, null, null);
        startManagingCursor(c);

        String[] from = new String[] { tp.KEY_DATE,tp.KEY_SHOWTIME,tp.KEY_COST,tp.KEY_DESCRIPTION };
        int[] to = new int[] { R.id.TextDate,R.id.TextShowtime,R.id.TextCost,R.id.TextDescription };
        
        // Now create an array adapter and set it to display using our row
        SimpleCursorAdapter notes =
            new SimpleCursorAdapter(this, R.layout.programme_list_item, c, from, to);
        setListAdapter(notes);
               
    }
}

