package com.jsliders.puble;

//import com.testi.InfoActivity;
//import com.testi.MenuActivity;
//import com.testi.ProgrammeActivity;
//import com.testi.R;
//import com.testi.StatisticsActivity;

//import android.app.Activity;
import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
//import android.database.Cursor;
import android.os.Bundle;
import android.widget.TabHost;
//import android.widget.TextView;

public class Restaurant extends TabActivity {
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //setContentView(R.layout.restaurant);
        
        TableRestaurant tr = new TableRestaurant(this);
        
        Bundle b = this.getIntent().getExtras();
        
        Resources res = getResources(); // Resource object to get Drawables    
        TabHost tabHost = getTabHost();  // The activity TabHost    
        TabHost.TabSpec spec;  // Resusable TabSpec for each tab    
        Intent intent;  // Reusable Intent for each tab
        
        // Create an Intent to launch an Activity for the tab (to be reused)    
        intent = new Intent().setClass(this, InfoActivity.class);    
        intent.putExtra("RID", b.getInt("RID"));
        
        // Initialize a TabSpec for each tab and add it to the TabHost    
        spec = tabHost.newTabSpec("info").setIndicator("Info",                      
        		res.getDrawable(R.drawable.ic_tab_artists_white))                  
        		.setContent(intent);    
        tabHost.addTab(spec);
        
        intent = new Intent().setClass(this, MenuActivity.class); 
        intent.putExtra("RID", b.getInt("RID"));
        spec = tabHost.newTabSpec("menu").setIndicator("Menu",                      
        		res.getDrawable(R.drawable.ic_tab_artists_white))                  
        		.setContent(intent);    
        tabHost.addTab(spec);
        
        intent = new Intent().setClass(this, ProgrammeActivity.class);
        intent.putExtra("RID", b.getInt("RID"));
        spec = tabHost.newTabSpec("programme").setIndicator("Programme",                      
        		res.getDrawable(R.drawable.ic_tab_artists_white))                  
        		.setContent(intent);    
        tabHost.addTab(spec);
        
        intent = new Intent().setClass(this, StatisticsActivity.class); 
        intent.putExtra("RID", b.getInt("RID"));
        spec = tabHost.newTabSpec("statistics").setIndicator("Statitstics",                      
        		res.getDrawable(R.drawable.ic_tab_artists_white))                  
        		.setContent(intent);    
        tabHost.addTab(spec);
        
        tabHost.setCurrentTab(0);
	}
}