package com.jsliders.puble;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class Search extends Activity {
	Bundle b;
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.search);
        
        Button button1 = (Button)findViewById(R.id.btnSearch);
		button1.setOnClickListener(btnSearchListener);
		b = this.getIntent().getExtras();
		
		TextView textViewTitle = (TextView)findViewById(R.id.TextTitle);
		
		if (b.getInt("MODE")==1)
		{
			textViewTitle.setText("Find places");
		} else if (b.getInt("MODE")==2)
		{
			textViewTitle.setText("Find offers");
		}
	}
	
	OnClickListener btnSearchListener = new OnClickListener() {
		
		@Override
		public void onClick(View v) {
			
			TextView txtCity = (TextView)findViewById(R.id.txtCity);
			
			
			if(txtCity.getText().length() > 0){
				if (b.getInt("MODE") == 2) {
					Intent intent = new Intent(getApplicationContext(), OfferList.class);
					intent.putExtra("City", txtCity.getText().toString());
					startActivity(intent);
				} else {
					Intent intent = new Intent(getApplicationContext(), RestaurantList.class);
					intent.putExtra("City", txtCity.getText().toString());
					intent.putExtra("Clicker", false);
					startActivity(intent);
				}
			}
		}
	};
}
