package com.jsliders.puble;


import java.sql.Date;
import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.AlertDialog.Builder;
import android.content.DialogInterface;
import android.database.Cursor;
import android.graphics.Color;
import android.os.Bundle;
import android.os.Vibrator;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.text.format.DateFormat;
import android.text.format.Time;


public class Clicker extends Activity {
    /** Called when the activity is first created. */
	
	TableCustomercount tcc;
	protected int rid;
	protected int counter = 0;
	protected int customerlimit = 6;
	protected int alarm = 2;
	protected static final int MY_DIALOG = 0;
	SimpleDateFormat formatterDate = new SimpleDateFormat("dd.MM.yyyy");
	SimpleDateFormat formatterTime = new SimpleDateFormat("hh:mm:ss.S");
	
	
	OnClickListener btnAddListener = new OnClickListener() {
		
		public void onClick(View v) {
			// kasvatetaan laskuria
			counter++;
			
			// Format the current time.
			long millis = System.currentTimeMillis();
			Date currentTime = new Date(millis);
			String dateString = formatterDate.format(currentTime);
			String timeString = formatterTime.format(currentTime);

			// kirjoitetaan kantaan
			tcc.insert(rid, counter, 1, dateString, timeString);
			
			// listn uusi kvijmr textviewiin
			TextView textview = (TextView)findViewById(R.id.TextView02);
			textview.setText(""+counter);
			
			
			TextView tvActiontime = (TextView)findViewById(R.id.Actiontime);
//			tvActiontime.setText("("+dateString.substring(
//					dateString.indexOf("|")+2, dateString.indexOf(".", dateString.indexOf("|")))+")");
			tvActiontime.setText(timeString.substring(0, timeString.indexOf(".")));
			// jos kvijit on tietyn verran, annetaan hlytys
			if(counter == (customerlimit - alarm)){
				showDialog(0);
				RelativeLayout ll = (RelativeLayout)findViewById(R.id.RelativeLayout01);
				ll.setBackgroundColor(Color.parseColor("#FF6600"));
			}
			else if (counter >= customerlimit){
				showDialog(1);
				RelativeLayout ll = (RelativeLayout)findViewById(R.id.RelativeLayout01);
				ll.setBackgroundColor(Color.RED);
			}
			
			// Vrin
			((Vibrator)getSystemService(VIBRATOR_SERVICE)).vibrate(300);
			
//			TextView tvRid = (TextView)findViewById(R.id.Rid);
//	        TextView tvCounter = (TextView)findViewById(R.id.Counter);
//	        TextView tvActiontime = (TextView)findViewById(R.id.Actiontime);
//	        
//	        Cursor cursor = tcc.queryAll(tcc.KEY_RID+"=1 AND "+tcc.KEY_COUNTER+"="+counter, null, null, null, null);
//	        
//	        tvRid.setText(cursor.getString(1));
//	        tvCounter.setText(cursor.getString(2));
//	        tvActiontime.setText(cursor.getString(3));
		}
	};
	
	OnClickListener btnRemoveListener = new OnClickListener() {
		
		public void onClick(View v) {
			
			if(counter > 0){
				counter--;
				
				// Format the current time.
				long millis = System.currentTimeMillis();
				Date currentTime = new Date(millis);
				String dateString = formatterDate.format(currentTime);
				String timeString = formatterTime.format(currentTime);

				// kirjoitetaan kantaan
				tcc.insert(rid, counter, -1, dateString, timeString);
				
				TextView tvActiontime = (TextView)findViewById(R.id.Actiontime);
				tvActiontime.setText(timeString.substring(0, timeString.indexOf(".")));
			}
			
			TextView textview = (TextView)findViewById(R.id.TextView02);
			textview.setText(""+counter);
			
			// jos kvijit on tietyn verran, annetaan hlytys
			if(counter >= (customerlimit - alarm) && counter < customerlimit){
				RelativeLayout ll = (RelativeLayout)findViewById(R.id.RelativeLayout01);
				ll.setBackgroundColor(Color.parseColor("#FF6600"));
			}
			else if (counter < (customerlimit - alarm)){
				RelativeLayout ll = (RelativeLayout)findViewById(R.id.RelativeLayout01);
				ll.setBackgroundColor(Color.parseColor(getString(R.string.bgcolor)));
			}
			// Vrin
			((Vibrator)getSystemService(VIBRATOR_SERVICE)).vibrate(300);
			
//			TextView tvRid = (TextView)findViewById(R.id.Rid);
//	        TextView tvCounter = (TextView)findViewById(R.id.Counter);
//	        TextView tvActiontime = (TextView)findViewById(R.id.Actiontime);
//	        
//	        Cursor cursor = tcc.queryAll(tcc.KEY_RID+"=1 AND "+tcc.KEY_COUNTER+"="+counter, null, null, null, null);
//	        
//	        tvRid.setText(cursor.getString(1));
//	        tvCounter.setText(cursor.getString(2));
//	        tvActiontime.setText(cursor.getString(3));
		}
	};
	
	protected Dialog onCreateDialog(int id) {
		Dialog result = null;
		
		if(0 == id){
			AlertDialog.Builder builder = new Builder(this);
			
			builder.setMessage(R.string.alert_1);
			
			android.content.DialogInterface.OnClickListener noListener = new android.content.DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					dialog.cancel();
				}
			};
		
			builder.setNegativeButton(R.string.ok, noListener);
			
			result = builder.create();
		}
		if(1 == id){
			AlertDialog.Builder builder = new Builder(this);
			
			builder.setMessage(R.string.alert_2);
			
			android.content.DialogInterface.OnClickListener noListener = new android.content.DialogInterface.OnClickListener() {
				
				public void onClick(DialogInterface dialog, int which) {
					dialog.cancel();
				}
			};
		
			builder.setNegativeButton(R.string.ok, noListener);
			
			result = builder.create();
		}
		
		return result;
	};
	
    protected String Date() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.clicker);
        
        tcc = new TableCustomercount(this);
        
        Bundle b = this.getIntent().getExtras();
        rid = b.getInt("RID");
        
        TextView tvActiontime = (TextView)findViewById(R.id.Actiontime);
        tvActiontime.setText("");
        
        Button btnAdd = (Button)findViewById(R.id.ButtonAdd);
        btnAdd.setOnClickListener(btnAddListener);
        
        Button btnRemove = (Button)findViewById(R.id.ButtonRemove);
        btnRemove.setOnClickListener(btnRemoveListener);
        
        TextView textview = (TextView)findViewById(R.id.TextView02);
        textview.setText(""+counter);
        
        TableRestaurant tr = new TableRestaurant(this);
        Cursor c = tr.queryAll(tr.KEY_ROWID+"="+rid, null, null, null, null);
        
        if (c.getCount() > 0 )
        {
        	customerlimit = c.getInt(c.getColumnIndex(tr.KEY_MAXCUSTOMERS));
        }
    }
}