package com.jsliders.puble;

import android.content.Context;
import android.database.Cursor;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.view.View;

public class DrawableView extends View {
	Context mContext;
	TableCustomercount tc;
	
	public DrawableView(Context context) {
		super(context);
		mContext = context;

	}



	protected void onDraw(Canvas canvas){
		
		tc = new TableCustomercount(mContext);	
		Cursor c;
		
		Paint myPaint = new Paint();
		myPaint.setStrokeWidth(3);
		myPaint.setColor(0xFF097286);
		myPaint.setTextSize(30);
		
		
		//canvas.drawCircle(200, 200, 50, myPaint);
		//canvas.drawBitmap(BitmapFactory.decodeResource(mContext.getResources(), R.drawable.icon), 184, 184, null);
		//canvas.drawLine(10, 10, 50, 50, myPaint);
		Paint paintHeadline = new Paint();
		paintHeadline.setStrokeWidth(3);
		paintHeadline.setColor(0xFF097286);
		paintHeadline.setTextSize(30);
		canvas.drawText("Customer count", 10, 30, paintHeadline);
		
		Paint paintDate = new Paint();
		paintDate.setStrokeWidth(3);
		paintDate.setColor(0xFFFFFFFF);
		//paintDate.setTextSize(30);
		
		Paint paintBar = new Paint();
		paintBar.setStrokeWidth(30);
		paintBar.setColor(0xFF097286);
		paintBar.setTextSize(30);
		
		int height = canvas.getHeight();
		int width = canvas.getWidth();
		
		
		
		
		//canvas.drawText(""+height, 10, 60, paintText);
		
		for(int i = 1; i < 8; i++){
			
			c = tc.queryAll("rid="+1+" AND Date ='"+(12+i)+".03.2010'", null, null, null, null);
			
			//+"AND Date =\""+(11+i)+".03.2010\""
			canvas.drawLine(i * 10 + i * paintBar.getStrokeWidth(), height - 140, 
					i * 10 + i * paintBar.getStrokeWidth(), (height - 140) - (c.getCount() * 3), paintBar);
			
			canvas.drawText(String.valueOf(c.getCount()) ,i * 10 + i * paintBar.getStrokeWidth() -15, (height - 140) - (c.getCount() * 3), paintDate);
			
			
			String pvm = c.getString(4);
			pvm = pvm.substring(0, 5);
			
			canvas.drawText(pvm,i * 10 + i * paintBar.getStrokeWidth() -15, height - 130, paintDate);
			
			
		}
		
		
		
		//invalidate();
		
	}
	
}
