package com.jsliders.puble;

import android.app.ListActivity;
import android.database.Cursor;
import android.os.Bundle;
import android.widget.SimpleCursorAdapter;

public class MenuActivity extends ListActivity {
	
	TableMenu tm;
	
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.menu);
        
        tm = new TableMenu(this);
        fillData();
    }
    
    private void fillData() {
    	
    	Bundle b = this.getIntent().getExtras();
    	int id = b.getInt("RID");
    	
        // Get all of the notes from the database and create the item list
        Cursor c = tm.queryAll("Rid="+id, null, null, null, null);
        startManagingCursor(c);
        
        String[] from = new String[] { tm.KEY_NAME,tm.KEY_DESCRIPTION,tm.KEY_PRICE };
        int[] to = new int[] { R.id.TextName,R.id.TextDescription,R.id.TextPrice };
        
        // Now create an array adapter and set it to display using our row
        SimpleCursorAdapter notes =
            new SimpleCursorAdapter(this, R.layout.menu_list_item, c, from, to);
        setListAdapter(notes);     
    }
}
